MonoMac 0.0.0.0 System.Object MonoMac.ObjCRuntime.INativeObject System.IDisposable Provides methods for producing simple sounds. To be added.
- Constructor
  0.0.0.0
  The url to the local file.
  Create a system sound from a local file.
  The system sounds are limited to 30 seconds or less. If there is an error, this constructor will throw an exception. If you want to avoid exceptions, and instead get a null on error, call the FromFile methods.
- Method
  0.0.0.0
  MonoMac.AudioToolbox.AudioServicesError `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Void Closes this system sound.
- Property
  0.0.0.0
  System.Boolean To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Void ``

  If set to , the method is invoked directly and will dispose manage and unmanaged resources; If set to the method is being called by the garbage collector finalizer and should only release unmanaged resources.

  Releases the resources used by the SystemSound object.

  This Dispose method releases the resources used by the SystemSound class.

  This method is called by both the Dispose() method and the object finalizer (Finalize). When invoked by the Dispose method, the parameter disposting is set to and any managed object references that this object holds are also disposed or released; when invoked by the object finalizer, on the finalizer thread the value is set to .

  Calling the Dispose method when you are finished using the SystemSound ensures that all external resources used by this managed object are released as soon as possible. Once you have invoked the Dispose method, the object is no longer useful and you should no longer make any calls to it.

  For more information on how to override this method and on the Dispose/IDisposable pattern, read the ``Implementing a Dispose Method'' document at http://msdn.microsoft.com/en-us/library/fs2xkftw.aspx

- Method
  0.0.0.0
  System.Void Finalizer for the SystemSound object
- Method
  0.0.0.0
  MonoMac.AudioToolbox.SystemSound `` A SystemSound instance, or null on error. Creates a system sound from a file. The system sound object, or null on error. SystemSounds are limited to 30 seconds or less.
- Method
  0.0.0.0
  MonoMac.AudioToolbox.SystemSound `` The file that contains the audio. An array of packet descriptions that describe the contents of the buffer. A SystemSound instance or null on error. SystemSounds are limited to 30 seconds or less.
- Property
  0.0.0.0
  System.IntPtr Handle (pointer) to the unmanaged object representation. A pointer This IntPtr is a handle to the underlying unmanaged representation for this object.
- Property
  0.0.0.0
  System.Boolean To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Void Plays a sound or alert. The actual behavior of this method depends on the device (iPhone, iPod touch) and the vibrate settings.
- Method
  0.0.0.0
  System.Void Plays the system sound. The system sound is played asynchronously, but it is also limited to 30 seconds or less.
- Method
  0.0.0.0
  System.Void To be added. To be added.
- Method
  0.0.0.0
  System.Void Releases the resources used by the SystemSound object.

  The Dispose method releases the resources used by the SystemSound class.

  Calling the Dispose method when you are finished using the SystemSound ensures that all external resources used by this managed object are released as soon as possible. Once you have invoked the Dispose method, the object is no longer useful and you should no longer make any calls to it. For more information on releasing resources see ``Cleaning up Unmananaged Resources'' at http://msdn.microsoft.com/en-us/library/498928w2.aspx